package com.ejie.ab61.model.plantillas;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelPlaCam  
 * 
 *  
 */

public class RelPlaCam implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelPlaCam;
	private Integer idCampo;
	private Date fechaRegistro;
	private String usuarioRegistro;

	private Integer idDocumento;

	/**
	 * @return the idDocumento
	 */
	public Integer getIdDocumento() {
		return idDocumento;
	}

	/**
	 * @param idDocumento
	 *            the idDocumento to set
	 */
	public void setIdDocumento(Integer idDocumento) {
		this.idDocumento = idDocumento;
	}

	/**
	 * Method 'RelPlaCam'.
	 */
	public RelPlaCam() {
	}

	/**
	 * Method 'RelPlaCam'.
	 * 
	 * @param idRelPlaCam
	 *            Integer
	 */
	public RelPlaCam(Integer idRelPlaCam) {
		this.idRelPlaCam = idRelPlaCam;
	}

	/**
	 * Method 'RelPlaCam'.
	 * 
	 * @param idRelPlaCam
	 *            Integer
	 * @param idDocumento
	 *            Integer
	 * @param idCampo
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public RelPlaCam(Integer idRelPlaCam, Integer idDocumento, Integer idCampo, Date fechaRegistro,
			String usuarioRegistro) {

		this.idRelPlaCam = idRelPlaCam;
		this.idDocumento = idDocumento;
		this.idCampo = idCampo;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdRelPlaCam'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelPlaCam() {
		return this.idRelPlaCam;
	}

	/**
	 * Method 'setIdRelPlaCam'.
	 *
	 * @param idRelPlaCam
	 *            Integer
	 * @return
	 */

	public void setIdRelPlaCam(Integer idRelPlaCam) {
		this.idRelPlaCam = idRelPlaCam;
	}

	/**
	 * Method 'getIdCampo'.
	 *
	 * @return Integer
	 */

	public Integer getIdCampo() {
		return this.idCampo;
	}

	/**
	 * Method 'setIdCampo'.
	 *
	 * @param idCampo
	 *            Integer
	 * @return
	 */

	public void setIdCampo(Integer idCampo) {
		this.idCampo = idCampo;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelPlaCam: ").append(this.idRelPlaCam).append(" ]");
		result.append(", [ idDocumento: ").append(this.idDocumento).append(" ]");
		result.append(", [ idCampo: ").append(this.idCampo).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
